> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblSocialGetSocialRelationshipsAsync

> XblSocialGetSocialRelationshipsAsync

# XblSocialGetSocialRelationshipsAsync

호출자와 사회적으로 연결된 사용자 목록을 가져옵니다.

## Syntax

```cpp theme={null}
HRESULT XblSocialGetSocialRelationshipsAsync(  
         XblContextHandle xboxLiveContext,  
         uint64_t xboxUserId,  
         XblSocialRelationshipFilter socialRelationshipFilter,  
         size_t startIndex,  
         size_t maxItems,  
         XAsyncBlock* async  
)  
```

### Parameters

*xboxLiveContext*   \_In\_\
Type: [XblContextHandle](https://docs.xbox.com/ko/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

XblContextCreateHandle로 생성된 XBOX live 컨텍스트 핸들입니다.

*xboxUserId*   \_In\_\
Type: uint64\_t

소셜 관계를 가져올 XBOX 사용자 ID입니다.

*socialRelationshipFilter*   \_In\_\
Type: [XblSocialRelationshipFilter](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/enums/xblsocialrelationshipfilter.md)

목록을 필터링하는 방법을 제어합니다.

*startIndex*   \_In\_\
Type: size\_t

결과 목록의 시작 인덱스를 제어합니다.

*maxItems*   \_In\_\
Type: size\_t

결과 목록이 포함할 수 있는 항목의 최대 수입니다. 모든 항목을 가져오려면 0을 전달합니다.

*async*   \_In\_\
Type: XAsyncBlock\*

호출자가 할당한 [XAsyncBlock](https://docs.xbox.com/ko/reference/system/xasync/structs/xasyncblock.md)입니다.

### Return value

Type: HRESULT

이 API 작업에 대한 HRESULT 반환 코드입니다.

## Remarks

결과를 얻으려면 [XblSocialGetSocialRelationshipsResult](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/functions/xblsocialgetsocialrelationshipsresult.md)를 호출합니다.

## REST Call

V1 GET /users/{ownerId}/people?view={view}\&startIndex={startIndex}\&maxItems={maxItems}

## Requirements

**Header:** social\_c.h

**Library:** Microsoft.Xbox.Services.14x.GDK.C.lib

## See also

[social\_c](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/social_c_members.md)


## Related topics

- [XblSocialGetSocialRelationshipsResult](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/functions/xblsocialgetsocialrelationshipsresult.md)
- [XblSocialRelationshipFilter](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/enums/xblsocialrelationshipfilter.md)
- [social_c](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/social_c_members.md)
- [XblSocialRelationshipResultGetTotalCount](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/functions/xblsocialrelationshipresultgettotalcount.md)
- [XblSocialRelationshipResultGetNextAsync](https://docs.xbox.com/ko/reference/live/xsapi-c/social_c/functions/xblsocialrelationshipresultgetnextasync.md)
